# class Gio::Settings

### Public Class Methods

new(*args) click to toggle source

    # File lib/gio2/settings.rb, line 21
    def initialize(*args)
      if args.size == 1
        initialize_raw(args[0])
      elsif args.size == 2
        schema_id = args[0]
        options = args[1]
        path = options[:path] || nil
        backend = options[:backend] || nil
        if path && backend
          initialize_new_with_backend_and_path(schema_id, backend, path)
        elsif path
          initialize_new_with_path(schema_id, path)
        elsif backend
          initialize_new_with_backend(schema_id, backend)
        end
      elsif args.size == 3
        initialize_new_full(*args)
      else
        $stderr.puts "Arguments error for Gio::Settings#new"
      end
    end

Also aliased as: initialize_raw

### Public Instance Methods

[]=(key, value)
Alias for: set_value
initialize_raw(*args)
Alias for: new
set_value(key, value) click to toggle source

    # File lib/gio2/settings.rb, line 44
    def set_value(key, value)
      schema_key = settings_schema.get_key(key)
      variant_value = GLib::Variant.new(value, schema_key.value_type)
      set_value_raw(key, variant_value)
    end

Also aliased as: set_value_raw, []=
set_value_raw(key, value)
Alias for: set_value